//! Root document [`types::Module::from_xml_dom`]
//!
//! # Overview
//!
//! 1. Convert [`roxmltree::Document`] to register map respresented with types defined in
//!    [`types`], filling missing parameters. See [`converter`].
//! 2. Generate [`proc_macro2::TokenStream`] from register map produced in the previous step. See
//!    [`generator`].
//!
//! # modules
//! - [`types`]: type definitions of internal register map representation
//! - [`type_traits`]: supplemental traits for types in [`types`]
//! - [`parser`]: supplemental parser (string to custom types)
//! - [`converter`]: DOM to internal representation
//! - [`generator`]: internal representation to rust code

pub mod converter;
pub mod generator;
pub mod parser;
pub mod type_traits;
pub mod types;
